package com.ruoyi.business.mapper;

import java.util.List;
import com.ruoyi.business.domain.AiUserLabel;

/**
 * 用户标签Mapper接口
 * 
 * @author max
 * @date 2023-05-14
 */
public interface AiUserLabelMapper 
{
    /**
     * 查询用户标签
     * 
     * @param id 用户标签主键
     * @return 用户标签
     */
    public AiUserLabel selectAiUserLabelById(Long id);

    /**
     * 查询用户标签列表
     * 
     * @param aiUserLabel 用户标签
     * @return 用户标签集合
     */
    public List<AiUserLabel> selectAiUserLabelList(AiUserLabel aiUserLabel);

    /**
     * 新增用户标签
     * 
     * @param aiUserLabel 用户标签
     * @return 结果
     */
    public int insertAiUserLabel(AiUserLabel aiUserLabel);

    /**
     * 修改用户标签
     * 
     * @param aiUserLabel 用户标签
     * @return 结果
     */
    public int updateAiUserLabel(AiUserLabel aiUserLabel);

    /**
     * 删除用户标签
     * 
     * @param id 用户标签主键
     * @return 结果
     */
    public int deleteAiUserLabelById(Long id);

    /**
     * 批量删除用户标签
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAiUserLabelByIds(String[] ids);
}
